import { axios } from '@/utils/request'
import Qs from 'qs'

const homeApi = {
  // 查看banner（列表）
  findBannerById (parameter) {
    return axios({
      url: '/zjxl/banner/findBannerById',
      method: 'get',
      params: parameter
    })
  },
  // 添加banner
  addBanner (data) {
    return axios({
      url: '/zjxl/banner/addBanner',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 更新banner
  updateBanner (data) {
    return axios({
      url: '/zjxl/banner/updataBanner',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 修改banner上下线状态
  updateIsLinebanner (data) {
    return axios({
      url: '/zjxl/banner/updateIsLine',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 删除banner
  deleteBannerById (data) {
    return axios({
      url: '/zjxl/banner/deleteBannerById',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 添加公司案例
  addCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/addCompanyCase',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 更新公司案例
  updateCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/updateCompanyCase',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 查看公司案例（列表）
  findCompanyCaseById (parameter) {
    return axios({
      url: '/zjxl/CompanyCase/findCompanyCaseById',
      method: 'get',
      params: parameter
    })
  },
  // 修改公司案例上下线状态
  updateIsLineCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/updateIsLine',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 删除公司案例
  deleteCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/deleteCompanyCase',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 添加合作伙伴
  addPartenr (data) {
    return axios({
      url: '/zjxl/partner/addPartenr',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 查看合作伙伴（列表）
  findPartenrById (parameter) {
    return axios({
      url: '/zjxl/partner/findPartenrById',
      method: 'get',
      params: parameter
    })
  },
  // 修改合作伙伴
  updatePartner (data) {
    return axios({
      url: '/zjxl/partner/updatePartenr',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 修改合作伙伴上下线状态
  updateIsLinePartner (data) {
    return axios({
      url: '/zjxl/partner/updatePartner',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 删除合作伙伴
  deletePartner (data) {
    return axios({
      url: '/zjxl/partner/deletePartner',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 获取文章列表(分页)
  findArticleContentById (parameter) {
    return axios({
      url: '/zjxl/zjxlArticleContent/findArticleContentById',
      method: 'get',
      params: parameter
    })
  },
  // 获取文章列表(不分页)
  findArticleAll (parameter) {
    return axios({
      url: '/zjxl/zjxlArticleContent/findArticleAll',
      method: 'get',
      params: parameter
    })
  },
  // 文件上传
  fileUpload (data, token) {
    return axios({
      url: '/zjxl/banner/file',
      method: 'post',
      headers: {
        // 'Authorization': token
      },
      data: data
    })
  },
  // 添加系统字典
  addSystemDict (data) {
    return axios({
      url: '/zjxl/systemDict/addSystemDict',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 查询系统管理字典
  findSystemDictById (parameter) {
    return axios({
      url: '/zjxl/systemDict/findSystemDictById',
      method: 'get',
      params: parameter
    })
  },
  // 修改系统字典
  updateSystemDict (data) {
    return axios({
      url: '/zjxl/systemDict/updateSystemDictInfo',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 修改是否上线
  updateIsLineSystemDict (data) {
    return axios({
      url: '/zjxl/systemDict/updateSystemDict',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  // 删除字典
  deleteSystemDict (data) {
    return axios({
      url: '/zjxl/systemDict/deleteSystemDict',
      method: 'post',
      data: Qs.stringify(data)
    })
  },
  systemTypeList: [{ code: 1, name: '产品与服务' }, { code: 2, name: '公司案例' }, { code: 3, name: '新闻中心' }, { code: 4, name: '关于我们' }]
}
export default homeApi
